/*\
 * Copyright © 2006 Klaus Rogall, Hamburg, Germany (klaus.rogall@web.de). All rights reserved.
 * _____________________________________________________________________________________________________________________
 * 
 * This class is "Open Source" as defined by the Open Source Initiative (OSI). You can redistribute it and/or modify it
 * under the terms of the BSD License.
\*/


/*\
 * Website-unabhägige Styles.
\*/


/*\
 * Styles für alle Elemente
\*/

html,body,p,input,buttond
{
    font-family: 'Arial', 'Helvetica', 'Sans-Serif';
    font-size: 10pt;
}


/*\
 * Allgemeine Block-Elemente
\*/

html
{
    height: 100%;
}

body
{
    color: WindowText;
    background-color: ThreeDFace;

    vertical-align: top;
    text-align: left;

    padding: 0px;
    margin: 0px;

    height: 100%;

    border-width: 0px;

    overflow: auto;
}

p
{
    padding: 2px 2px 2px 2px;
    margin: 0px;
}

p.bullet
{
    text-indent: -12px;
    
    margin-left: 12px;
}

p.indented
{
    margin-left: 12px;
}

p.exact
{
    padding: 0px;
}

pre
{
    font-family: 'Lucida Console', 'Courier New', 'Courier', 'Monospace';
    font-size: 1.1em;
    line-height: 0.9em;
    font-size: 90%;
}


/*\
 * Allgemeine Inline-Elemente
\*/

strong
{
    font-weight: bold;
}

em
{
    text-decoration: underline;
}

cite
{
    font-style: italic;
}

code
{
    font-family: 'Palatino Linotype', 'Times New Roman', 'Serif';
    font-size: 1.05em;
    line-height: 0.9em;
}


/*\
 * Tabellen
\*/

table
{
    padding: 0px;
    margin: 0px;

    border-width: 0px;
    border-collapse: separate;
    border-spacing: 0px;

    empty-cells: show;
}

td,th
{
    vertical-align: top;
    text-align: left;

    padding: 0px;
    margin: 0px;

    border-width: 0px;
    border-collapse: collapse;
    border-spacing: 0px;
}

th
{
    color: #054BB8;

    font-weight: bold;
}

td.text
{
    padding: 2px;
}

table.left
{
    margin-left: 0px;
    margin-right: auto;
}

table.center
{
    margin-left: auto;
    margin-right: auto;
}

table.right
{
    margin-left: auto;
    margin-right: 0px;
}

table.top
{
    margin-top: 0px;
    margin-bottom: auto;
}

table.middle
{
    margin-top: auto;
    margin-bottom: auto;
}

table.bottom
{
    margin-top: auto;
    margin-bottom: 0px;
}


/*\
 * Listen
\*/

ul
{
    padding: 0px;
    margin: 0px 0px 0px 30px;
    
    list-style-type:disc;
    
    list-style-position: outside;
}

li
{
    padding: 0px;
    margin: 0px;
}


/*\
 * Bilder
\*/

img
{
    vertical-align: baseline;
    text-align: left;

    padding: 0px;
    margin: 0px;

    border-width: 0px;
}

img.text
{
    padding-left: 2px;
    padding-right: 2px;
}

img.float-left
{
    float: left;
}

img.float-right
{
    float: right;
    margin-right: -3px; /* IE erzeugt rechts einen Rand von 3px, der hiermit kompensiert wird */
}

img.float-right[class]
{
    /* Nur Mozilla, da diese Art von Selektoren vom IE nicht erkannt wird */
    margin-right: 0px; /* Mozilla benötigt die Rand-Korrektur nicht */
}


/*\
 * Hyperlinks
\*/

a:link, a:visited, a:active, a:hover, a:focus
{
    color: #3F3FFF;

    text-decoration: none;
}

a:hover
{
    color: #FF3F3F;

    text-decoration: none;
}


/*\
 * Allgemeine Styles
\*/

.b,.strong
{
    font-weight: bold;
}

.u,.em
{
    text-decoration: underline;
}

.i,.cite
{
    font-style: italic;
}

.top
{
    vertical-align: top;
}

.middle
{
    vertical-align: middle;
}

.bottom
{
    vertical-align: bottom;
}

.left
{
    text-align: left;
}

.center
{
    text-align: center;
}

.right
{
    text-align: right;
}

.float-left
{
    float: left;
}

.float-right
{
    float: right;
}

.nowrap
{
    white-space: nowrap;
}

.scroll
{
    overflow: scroll;
}

.hidden
{
    display: none;
}

.wide
{
    width: 100%;
}

.high
{
    height: 100%;
}

.pointer
{
    cursor: pointer;
}

.debug
{
    background-color: #FFFF00;
}
